package org.jeecg.modules.basedata.entity;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class FdPassFeeClassTree implements Serializable {
    private static final long serialVersionUID = 1L;

    private String key;

    private String value;

    private String title;
    /** 是否叶子节点*/
    private boolean isLeaf;

    private List<FdPassFeeClassTree> children = new ArrayList<>();

    /**过收费主键*/
    private String id;
    /**过手费编码*/
    private String code;
    /**过手费名称*/
    private String name;
    /**是否停用0正常1停用*/
    private String enable;
    /**删除标记0正常1删除*/
    private String delFlag;
    /**创建人*/
    private String createBy;
    /**创建时间*/
    private Date createTime;
    /**最后修改人*/
    private String updateBy;
    /**最后修改时间*/
    private Date updateTime;
    /**备注*/
    private String memo;
    /**扩展字段1*/
    private String def1;

    private String parentId;


    public FdPassFeeClassTree() { }

    public FdPassFeeClassTree(FdPassFeeClass fdPassFeeClass) {
         this.key=fdPassFeeClass.getId();
        this.value = fdPassFeeClass.getId();
        this.title = fdPassFeeClass.getName();

        this.id=fdPassFeeClass.getId();
        this.parentId=fdPassFeeClass.getParentId();
        this.code=fdPassFeeClass.getCode();
        this.name=fdPassFeeClass.getName();
        this.enable=fdPassFeeClass.getEnable();
        this.delFlag=fdPassFeeClass.getDelFlag();
        this.createBy=fdPassFeeClass.getCreateBy();
        this.createTime=fdPassFeeClass.getCreateTime();
        this.updateBy=fdPassFeeClass.getUpdateBy();
        this.updateTime=fdPassFeeClass.getUpdateTime();
        this.memo=fdPassFeeClass.getMemo();
        this.def1=fdPassFeeClass.getDef1();
        this.def2=fdPassFeeClass.getDef2();
        this.def3=fdPassFeeClass.getDef3();
        this.def4=fdPassFeeClass.getDef4();
        this.def5=fdPassFeeClass.getDef5();

    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public boolean getIsLeaf() {
        return isLeaf;
    }

    public void setIsLeaf(boolean leaf) {
        isLeaf = leaf;
    }

    public List<FdPassFeeClassTree> getChildren() {
        return children;
    }

    public void setChildren(List<FdPassFeeClassTree> children) {
        if (children==null){
            this.isLeaf=true;
        }
        this.children = children;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getEnable() {
        return enable;
    }

    public void setEnable(String enable) {
        this.enable = enable;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public String getDef1() {
        return def1;
    }

    public void setDef1(String def1) {
        this.def1 = def1;
    }

    public String getDef2() {
        return def2;
    }

    public void setDef2(String def2) {
        this.def2 = def2;
    }

    public String getDef3() {
        return def3;
    }

    public void setDef3(String def3) {
        this.def3 = def3;
    }

    public String getDef4() {
        return def4;
    }

    public void setDef4(String def4) {
        this.def4 = def4;
    }

    public String getDef5() {
        return def5;
    }

    public void setDef5(String def5) {
        this.def5 = def5;
    }

    /**扩展字段2*/
    private String def2;
    /**扩展字段3*/
    private String def3;
    /**扩展字段4*/
    private String def4;
    /**扩展字段5*/
    private String def5;
}
